Articles on: Public API

Customers

Get customer list

Retrieve a paginated list of customers from your loyalty program


GET /rest-api/v1/customers


Query parameters


Name

Type

Description

filter

string

Search by Shopify customer ID or customer email

page

int

Page number

pageSize

int

Number of results per page


Example request

curl --request GET \
--url 'https://api.bloy.io/rest-api/v1/customers?filter=customer@example.com&page=1&pageSize=20' \
--header 'Authorization: Bearer YourApiKeyGoesHere'


Example response

{
"success": true,
"message": "OK",
"customers": [
{
"id": "65e0a1b2c3d4e5f6a7b8c9d0",
"status": true,
"shopifyCustomerId": "7654321098765",
"birthday": "1995-05-20",
"email": "customer@example.com",
"points": 250,
"createdAt": "2025-12-01T03:12:45.000Z",
"updatedAt": "2026-01-10T09:00:00.000Z"
}
]
}

Get customer by ID

Retrieve details of a single customer by their internal BLOY ID (the id field returned in the customer list above), not their Shopify customer ID.


GET /rest-api/v1/customers/{id}


Path parameters

Name

Type

Description

id

string

The customer's BLOY ID



Example request

curl --request GET \
--url https://api.bloy.io/rest-api/v1/customers/65e0a1b2c3d4e5f6a7b8c9d0 \
--header 'Authorization: Bearer YourApiKeyGoesHere'


Example response

{
"success": true,
"message": "OK",
"customer": {
"id": "65e0a1b2c3d4e5f6a7b8c9d0",
"shopifyCustomerId": "7654321098765",
"birthday": "1995-05-20",
"points": 250,
"status": true,
"createdAt": "2025-12-01T03:12:45.000Z",
"updatedAt": "2026-01-10T09:00:00.000Z"
}
}

Update customer birthday

Update a customer’s date of birth


POST /rest-api/v1/customers/updateBirthday


Body


Name

Type

Description

customerIdentifier

string

Shopify customer ID or email

day

int

Day of birth

month

int

Month of birth

year

int

Year of birth


Example request

curl --request POST \
--url https://api.bloy.io/rest-api/v1/customers/updateBirthday \
--header 'Authorization: Bearer YourApiKeyGoesHere' \
--header 'Content-Type: application/json' \
--data '{
"customerIdentifier": "customer@example.com",
"day": 20,
"month": 5,
"year": 1995
}'


Example response

{
"success": true,
"message": "OK"
}

Updated on: 11/06/2026

Was this article helpful?

Share your feedback

Cancel

Thank you!